package de.cau.cs.kieler.tutorials.klighd.turingvis.language.server

import de.cau.cs.kieler.klighd.lsp.launch.ILanguageRegistration
import de.cau.cs.kieler.tutorials.klighd.turingmachine.TuringmachinePackage
import org.eclipse.emf.ecore.resource.Resource
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl
import de.cau.cs.kieler.kgraph.text.ide.KGraphLSSetup

class TuringLanguageRegistration implements ILanguageRegistration {
	
	override bindAndRegisterLanguages() {
		KGraphLSSetup.doLSSetup
		
		var packageInstance = TuringmachinePackage.eINSTANCE
		
		packageInstance = packageInstance
		
		Resource.Factory.Registry.INSTANCE.extensionToFactoryMap.put("turingmachine", new XMIResourceFactoryImpl)
	}
	
}